org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class CompatibleBindingSetFilter

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<E,X>
    - - org.eclipse.rdf4j.common.iteration.FilterIteration<BindingSet,QueryEvaluationException>
      - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.CompatibleBindingSetFilter

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>

  Deprecated.

      @Deprecated
      public class CompatibleBindingSetFilter
      extends FilterIteration<BindingSet,QueryEvaluationException>

  Author:
    Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompatibleBindingSetFilter(CloseableIteration<BindingSet,QueryEvaluationException> iter, BindingSet inputBindings)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `accept(BindingSet outputBindings)` Deprecated. Tests whether or not the specified object should be returned by this Iteration.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.FilterIteration

      `handleClose, hasNext, next`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompatibleBindingSetFilter

          public CompatibleBindingSetFilter(CloseableIteration<BindingSet,QueryEvaluationException> iter,
                                            BindingSet inputBindings)

      Deprecated.

  - ### Method Detail

    - #### accept

          protected boolean accept(BindingSet outputBindings)
                            throws QueryEvaluationException

      Deprecated.
      Description copied from class: `FilterIteration`
      Tests whether or not the specified object should be returned by this Iteration. All objects from the wrapped Iteration pass through this method in the same order as they are coming from the wrapped Iteration.
      Specified by:
        `accept` in class `FilterIteration<BindingSet,QueryEvaluationException>`
      Parameters:
        `outputBindings` - The object to be tested.
      Returns:
        `true` if the object should be returned, `false` otherwise.
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.